Subject: bug#64204: C/C++ local variables not syntax highlighted if they start with $

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Jun 2023 08:57:38 +0300

> From: Po Lu <[email-masked]>
> Cc: Alan Mackenzie <[email-masked]>,  [email-masked]
> Date: Thu, 22 Jun 2023 13:44:29 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but shouldn't this be optional behavior, which users should be
> > able to control?  Standard C disallows '$' in identifiers AFAIK, and
> > some users might wish to follow the Standard.
> 
> There is no other use for the character $, so this is not necessary:
> it's either an identifier or a syntax error, and we don't try to fontify
> syntax errors.

Sorry, I disagree, for the reasons I explained above.  (I don't mind
this feature to be ON by default, though.)